Bug 97164 - Writer: Import .docx: Writer doesn't show percent symbol in formula
Summary: Writer: Import .docx: Writer doesn't show percent symbol in formula
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0 backportRequest:5.2 targ...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-16 03:55 UTC by Rolle
Modified: 2016-12-16 09:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
MSWord2010.docx (25.78 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-01-16 03:55 UTC, Rolle
Details
Comparison Word/Writer (135.50 KB, image/png)
2016-01-16 03:56 UTC, Rolle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rolle 2016-01-16 03:55:15 UTC
Created attachment 121970 [details]
MSWord2010.docx

After import of an MSWord2010 document with a formula and a percent symbol '%' Writer doesn't show the percent symbol.
Comment 1 Rolle 2016-01-16 03:56:14 UTC
Created attachment 121971 [details]
Comparison Word/Writer
Comment 2 Kevin Suo 2016-01-17 13:39:43 UTC
Confirmed.

In formula editor it shows:
D= {{d} rsub {y,ist} - {d} rsub {y,soll}} over {{d} rsub {y,soll}} *100%

But 100% is showing as 100 in result.

Version: 5.1.0.2 (x64)
Build ID: ecd3574d51754b043f865cf5bafee286d24db7cc
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
Locale: zh-CN (zh_CN)
Win10 X64
Comment 3 Kevin Suo 2016-01-17 13:41:28 UTC
Set Component to formula editor.
It also effects other applications (Calc, Impress etc.)
Comment 4 Kevin Suo 2016-01-17 13:54:45 UTC
I also reproduce in
Version: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: zh_CN

Update version field accordingly (to reflect the earlies version affected)
Comment 5 Commit Notification 2016-09-30 05:11:15 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e466c431e6d61911b2b15895a4b63df12422057

tdf#97164 Add text for visualition of percent symbol.

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2016-11-08 08:56:03 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 7 Cor Nouws 2016-11-08 09:59:57 UTC
it is ok in Version: 5.3.0.0.alpha1+
Build ID: a6ce5d391476e4b6a2cb2d92ff45548c1d75684b
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; Layout Engine: new; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-11-03_23:34:51
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Thanks Gulsah!
Comment 8 Rolle 2016-11-08 10:04:29 UTC
I tested it in the daily build version
"master~2016-11-08_06.11.45_LibreOfficeDev_5.3.0.0.alpha1_Win_x86.msi"

and it worked fine. I think it is fixed now.

Thank you. Did a great job.
Comment 9 Xisco Faulí 2016-11-08 10:13:00 UTC
Setting it to VERIFIED FIXED as per comment 8
Comment 10 Commit Notification 2016-12-16 09:04:07 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d0507ad622516fdc03d994ba3136cebd058a301&h=libreoffice-5-2

tdf#97164 Add text for visualition of percent symbol.

It will be available in 5.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.